﻿@model IEnumerable<CLIENTY1.Models.RainbowPeep>

@{
    ViewBag.Title = "RainbowSingers";
}

<h2>Rainbow Peeps</h2>

<script language="ecmascript">
        @{
            var defaultmodel = new List<string>();
        }
        @foreach (var item in Model)
        {
            defaultmodel.Add($@"{{'{Html.DisplayNameFor(model => model.Name)}':'{Html.DisplayFor(modelItem => item.Name)}'}}");
        }
    var ResourceData = [@Html.Raw(string.Join(",",defaultmodel))];
</script>

@Html.ActionLink("Go Home","Index")

<div class="content"></div>

<script>
    var makelist = function (dom, collection) {
        dom.
            empty().
            append("<ul>").
            append(
                collection.
                    map(
                        function(obj) {
                            return '<li>' + obj.Name + '</li>';
                        }).
                    join('')).
            append("</ul>");
    }

    var getResource = function (q,d) {
        q.getJSON("http://localhost:50537/", function (data) {
            makelist(d, data);
        });
    }

    $(function () {
        getResource($, $('.content'));
    });
</script>

